; ASM  Header File
; Created 28/05/2004; 12:08:47
;  Flanker 2005


utsrlib::utsr_install  equ utsrlib@0000
;******************************************************************************************************************************
; short utsrlib::install_tsr(void *base_address, longint size, short functions_number, void* functions_list, short flags)
;******************************************************************************************************************************
; base_address : beginning of the code of the TSR to install
;    this code must begin by the name (exactly 8 chars) followed by a blank short (which will be filled by the UtsrId)
; 
; size : total size of data to copy in RAM
;
; functions_number : number of UTSR functions
;
; functions_list : pointer to the functions list, which must have exactly functions_number elements
;
; flags : flags which fix utsr_install behaviour 
;
;
; returns UTSR_NULL in case of error, utsrId else (utsrId is the handle in which the utsr is copied).
;
;******************************************************************************************************************************


utsrlib::utsr_delete equ utsrlib@0001

;******************************************************************************************************************************
; void utsrlib::utsr_delete(short utsrId, short flags)
;******************************************************************************************************************************
; utsrId : utsrId of the utsr to remove from the list
;
; flags : flags wich fix utsr_delete behaviour
;
;
;******************************************************************************************************************************


utsrlib::utsr_is_present equ utsrlib@0002

;******************************************************************************************************************************
; short utsrlib::utsr_is_present(char* utsrName)
;******************************************************************************************************************************
;utsrName : pointer to an array of 8 chars, which contains the name of the searched utsr
; 
; 
; returns UTSR_NULL in case of error (utsr not found, by example), utsrId else.
;
;******************************************************************************************************************************


utsrlib::utsr_get_handle equ utsrlib@0003

;******************************************************************************************************************************
; HANDLE utsrlib::utsr_get_handle(void)
;******************************************************************************************************************************
;
; returns the handle of utsr list, or H_NULL in case of error 
;
;
;******************************************************************************************************************************


utsrlib::kernel_uninstall equ utsrlib@0004

;******************************************************************************************************************************
; void utsrlib::kernel_uninstall(void)
;******************************************************************************************************************************
;
; warns all utsrs from a kernel uninstallation
; removes all utsrs from the utsr list
; keep in mind that even in case of errors, all utsrs will be removed (as wanted by PpHd ;) )
;******************************************************************************************************************************




;******************************************************************************************************************************
;Flags used in utsr_install and utsr_delete functions
;******************************************************************************************************************************
 
UTSR_AUTHORIZE_TWINS equ 1; authorizes multiples instances of the same utsr
UTSR_AUTHORIZE_SL equ 2; authorizes messages in the status line
UTSR_AUTHORIZE_DLG equ 4; authorizes messages through dialog boxes
UTSR_ERRORS_ONLY equ 8; only warnings will be displayed

UTSR_AUTHORIZE_TWINS_BIT equ 0
UTSR_AUTHORIZE_SL_BIT equ 1
UTSR_AUTHORIZE_DLG_BIT equ 2
UTSR_ERRORS_ONLY_BIT equ 3


;******************************************************************************************************************************
UTSR_CAN_DELETE equ $7FFF
UTSR_DELETE equ $7FFE
UTSR_ICON equ $7FFD
UTSR_ABOUT equ $7FFC
UTSR_INSTALL equ $7FFB
UTSR_FORMAT equ $7FFA
UTSR_HELP equ $7FF9
UTSR_RELOAD equ $7FF8
UTSR_KERNEL_UNINSTALL equ $7FF7
UTSR_CMD_00 equ $7F00
UTSR_CMD_01 equ $7F01
UTSR_CMD_02 equ $7F02
UTSR_CMD_03 equ $7F03
UTSR_CMD_04 equ $7F04
UTSR_CMD_05 equ $7F05
UTSR_CMD_06 equ $7F06
UTSR_CMD_07 equ $7F07
UTSR_CMD_08 equ $7F08
UTSR_CMD_09 equ $7F09
UTSR_CMD_0A equ $7F0A
UTSR_CMD_0B equ $7F0B
UTSR_CMD_0C equ $7F0C
UTSR_CMD_0D equ $7F0D
UTSR_CMD_0E equ $7F0E
UTSR_CMD_0F equ $7F0F



UTSR_NULL equ $0000
UTSR_AUTOINT_1 equ $0601
UTSR_AUTOINT_2 equ $0602
UTSR_AUTOINT_3 equ $0603
UTSR_AUTOINT_4 equ $0604
UTSR_AUTOINT_5 equ $0605
UTSR_AUTOINT_6 equ $0606
UTSR_AUTOINT_7 equ $0607
UTSR_TRAP_0 equ $0610
UTSR_TRAP_1 equ $0611
UTSR_TRAP_2 equ $0612
UTSR_TRAP_3 equ $0613
UTSR_TRAP_4 equ $0614
UTSR_TRAP_5 equ $0615
UTSR_TRAP_6 equ $0616
UTSR_TRAP_7 equ $0617
UTSR_TRAP_8 equ $0618
UTSR_TRAP_9 equ $0619
UTSR_TRAP_10 equ $061A
UTSR_TRAP_11 equ $061B
UTSR_TRAP_12 equ $061C
UTSR_TRAP_13 equ $061D
UTSR_TRAP_14 equ $061E
UTSR_TRAP_15 equ $061F
UTSR_EV_HOOK equ $0620
;aucun autre identifier ne doit tre infrieur  UTSR_EV_HOOK
;becoze ils ont pas besoin de TSR superviseur
UTSR_EMPTY equ $0631
UTSR_UNKNOWN equ $0E30
UTSR_TSRLIB equ $0E32
UTSR_IMPORT equ $0633
UTSR_EXPORT equ $0634

UTSR_pFRAME equ $0E35; don't use it !


